Package org.opensaml.core.config

# Class InitializationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.opensaml.core.config.InitializationException

All Implemented Interfaces:
  `Serializable`

public class InitializationException extends Exception
Exception indicating a problem during the library initialization process.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`InitializationException()`
Constructor.
`InitializationException(String msg)`
Constructor.
`InitializationException(String message, Throwable cause)`
Constructor.
`InitializationException(Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

## Constructor Details

### InitializationException

public InitializationException()
Constructor.

### InitializationException

public InitializationException(@Nullable String msg)
Constructor.

Parameters:
  `msg` - the exception message

### InitializationException

public InitializationException(@Nullable Throwable cause)
Constructor.

Parameters:
  `cause` - the exception cause

### InitializationException

public InitializationException(@Nullable String message, @Nullable Throwable cause)
Constructor.

Parameters:
  `message` - the exception message
  `cause` - the exception cause